#    Copyright 2014-2020 Chris Caron <lead2gold@gmail.com>
#
#    This is free software: you can redistribute it and/or modify it under the
#    terms of the GNU General Public License as published by the Free Software
#    Foundation, either version 3 of the License, or (at your option) any later
#    version.
#
#    This file is distributed in the hope that it will be useful, but WITHOUT
#    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
#    more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this file. If not, see http://www.gnu.org/licenses/.
###############################################################################

Packager: Chris Caron <lead2gold@gmail.com>
Summary: NZBGet Post Processing Script VideoSort
Vendor: http://nuxref.com
Group: Administration/Resources
Name: nzbget-script-videosort
Version: 8.0
License: GPLv2
Release: 1%{?dist}.nuxref
Source:  https://github.com/nzbget/VideoSort/archive/v%{version}.tar.gz
Patch0: nzbget-script-videosort-to-github-commit-e5dddab.patch
Patch1: nzbget-script-videosort-use.global.dependencies.patch
URL: https://github.com/nzbget/VideoSort
BuildArch: noarch

Requires: nzbget
%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires: python2-devel
Requires: python-babelfish
Requires: python-guessit
Requires: python-six
Requires: python-dateutil
Requires: python-rebulk
%else
BuildRequires: python%{python3_pkgversion}-devel
Requires: python%{python3_pkgversion}-six
Requires: python%{python3_pkgversion}-babelfish
Requires: python%{python3_pkgversion}-guessit
Requires: python%{python3_pkgversion}-dateutil
Requires: python%{python3_pkgversion}-rebulk
%endif

%description
With post-processing script VideoSort you can automatically organize downloaded video files. 

%prep
%setup -q -n VideoSort-%{version}
%patch0 -p1
%patch1 -p1

# Tidy
%if 0%{?rhel} && 0%{?rhel} <= 7
	sed -i -e 's|#!\(/usr\)\?/bin/python[23]\?|#!/usr/bin/python2|g' VideoSort.py
	sed -i -e 's|#!\(/usr\)\?/bin/env python[23]\?|#!/usr/bin/python2|g' VideoSort.py
%else
	sed -i -e 's|#!\(/usr\)\?/bin/python[23]\?|#!/usr/bin/python3|g' VideoSort.py
	sed -i -e 's|#!\(/usr\)\?/bin/env python[23]\?|#!/usr/bin/python3|g' VideoSort.py
%endif

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m 0755 VideoSort.py \
   %{buildroot}%{_datadir}/nzbget/scripts/VideoSort.py

%files
%defattr(-,root,root)
%doc ChangeLog.txt COPYING README.txt
%{_datadir}/nzbget/scripts/VideoSort.py*

%changelog
* Sat Sep  5 2020 Chris Caron <lead2gold@gmail.com> 8.0-1
- Upgraded to v8.0 + all updates from past 2 years

* Thu Dec 24 2015 Chris Caron <lead2gold@gmail.com> 6.1-1
- Upgraded to v6.1

* Sun Aug 24 2014 Chris Caron <lead2gold@gmail.com> 5.0-1
- Upgraded to v5.0
- path changed from nzbget/ppscripts to nzbget/scripts
- added nzbget requires >= v13

* Wed Jun 25 2014 Chris Caron <lead2gold@gmail.com> 4.0-1
- Initial RPM release
